Page MenuHomePhabricator

Buttons in ButtonGroupWidget don't have same height/are misaligned
Closed, ResolvedPublic

Description


Event Timeline

Esanders created this task.Sep 23 2015, 5:13 PM
Esanders updated the task description. (Show Details)
Esanders raised the priority of this task from to Needs Triage.
Esanders added a project: OOUI.
Esanders added subscribers: Esanders, Prtksxna.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 23 2015, 5:13 PM
Jdforrester-WMF triaged this task as Normal priority.Sep 23 2015, 6:24 PM
Jdforrester-WMF set Security to None.
Jdforrester-WMF raised the priority of this task from Normal to High.Nov 17 2015, 1:24 AM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

This is pretty high-profile now:

Can we fix it reasonably?

Pginer-WMF updated the task description. (Show Details)Nov 26 2015, 2:43 PM
Pginer-WMF added subscribers: matmarex, Pginer-WMF.

I added some of the examples commented at T119615 in the description.
Thanks @matmarex for pointing to this ticket.

Tgr added a subscriber: Tgr.Nov 26 2015, 10:42 PM

The MediaViewer buttons do not use OOUI; they are constructed manually (processFilePageThumb() in resources/mmv/mmv.bootstrap.js). And they used to be properly aligned, so this seems like a regression in the .mw-ui-button-group CSS class.

matmarex updated the task description. (Show Details)Feb 16 2016, 11:56 AM

Splitting off the MultimediaViewer issue to T127052.

Change 297260 had a related patch set uploaded (by VolkerE):
MediaWiki theme: Ensure buttons in ButtonGroupWidget are same height

https://gerrit.wikimedia.org/r/297260

Volker_E moved this task from Backlog to Reviewing on the OOUI board.Jul 4 2016, 1:53 PM
Volker_E claimed this task.
Restricted Application added a project: UI-Standardization. · View Herald TranscriptJul 4 2016, 1:54 PM
Danny_B moved this task from Unsorted to OOUI on the UI-Standardization board.Jul 4 2016, 10:03 PM
Volker_E renamed this task from Buttons in ButtonGroupWidget don't have same height to Buttons in ButtonGroupWidget don't have same height/are misaligned.
Volker_E updated the task description. (Show Details)
Volker_E added subscribers: Krinkle, Zppix.
Volker_E reopened this task as Open.Mar 12 2017, 4:06 AM
Volker_E added a subscriber: Elitre.EditedMar 12 2017, 4:13 AM

Doesn't seem fully resolved, on certain platforms/browsers we're still running into this.

@Elitre would you please provide as much information as possible from your comment on https://phabricator.wikimedia.org/T159580#3076419?
Given the screenshot


Which browser (I guess Chrome), browser version, operating system, which font!? I can help you in finding especially the latter out.

Change 341117 had a related patch set uploaded (by VolkerE):
[oojs/ui] MediaWiki theme: Align “framed” ButtonWidgets cross-browser

https://gerrit.wikimedia.org/r/341117

Change 297260 abandoned by VolkerE:
MediaWiki theme: Ensure framed buttons are same height

Reason:
Abandoned in favor of Ic2935cb5d9 and I9a2d3975927

https://gerrit.wikimedia.org/r/297260

Change 341117 merged by jenkins-bot:
[oojs/ui] MediaWiki theme: Align “framed” ButtonWidgets cross-browser

https://gerrit.wikimedia.org/r/341117

Krinkle removed a subscriber: Krinkle.Mar 18 2017, 3:14 AM
Volker_E closed this task as Resolved.

We've got this somewhat under control. There might be still rare cases of this happening especially under nested inheritance. But for now it's good to be resolved and we might look back at it when a change towards px sizing becomes reality.